/**
 * 用于Delphi的测试框架
 * 在使用前必须引用jquery
 */

function EvokeTestBase(func, arg1, arg2, arg3, arg4, arg5) {
	if (TestBase[func]) {
		var res = TestBase[func](arg1, arg2, arg3, arg4, arg5);
		if (res) return res;
	}
}

var TestBase = {
	GetHtml: function(selector, html) {
		var html = '';
		var text = '';
		var el = $(selector);
		if (el.length > 0) {
			var html = el[0].innerHTML;
			var text = el[0].innerText;
		}
		
		return {
			selector: selector,
			html: html,
			text: text
		}
	},

	AppendHtml: function(selector, html) {
		$(selector).append(html);
	},

	PrependHtml: function(selector, html) {
		$(selector).prepend(html);
	},

	ReplaceInnerHtml: function(selector, html) {
		$(selector).html(html);
	},

	ReplaceOuterHtml: function(selector, html) {
		$(selector).each(function() {
			this.outerHTML = html;
		});
	}
}